%define fw_version 5.38

Summary:	KDE Frameworks 5 barcode abstraction layer
Name:		prison
Version:	5.38.0
Release:	1
License:	MIT
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/kdesupport/prison
Source0:	http://download.kde.org/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(libdmtx)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 barcode abstraction layer.

Prison has a Prison::AbstractBarcode, which is the base class for
the actual barcode generators, currently Prison::QRCodeBarcode and
Prison::DataMatrixBarcode are the two implemented barcode generators.

#----------------------------------------------------------------------------

%define kf5prison_major 5
%define libkf5prison %mklibname kf5prison %{kf5prison_major}

%package -n %{libkf5prison}
Summary:	KDE Frameworks 5 barcode abstraction layer shared library
Group:		System/Libraries

%description -n %{libkf5prison}
KDE Frameworks 5 barcode abstraction layer shared library.

%files -n %{libkf5prison}
%{_libdir}/libKF5Prison.so.%{kf5prison_major}*

#----------------------------------------------------------------------------

%define devkf5prison %mklibname kf5prison -d

%package -n %{devkf5prison}
Summary:	Development files for KDE Frameworks 5 barcode abstraction layer module
Group:		Development/KDE and Qt
Requires:	%{libkf5prison} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5prison-devel = %{version}

%description -n %{devkf5prison}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5prison}
%{_includedir}/KF5/prison
%{_includedir}/KF5/prison_version.h
%{_libdir}/libKF5Prison.so
%{_libdir}/cmake/KF5Prison
%{_libdir}/qt5/mkspecs/modules/qt_Prison.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%changelog

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (9026237) New version 5.38.0


